Ticket #28 (closed task: fixed)

Opened 6 years ago

Last modified 6 years ago

Add support for writing checks in Lua

Reported by: jesus Assigned to: jesus
Priority: major Milestone: Ploy
Component: noitd Severity:
Keywords: Cc:

Description

Add interpreter support.

First attempt will be in lua as it is self-contained and simple. It's support for continuations and contained states should make non-blocking I/O integrated with the eventer framework "simple" -- for some definition of "simple."

Change History

05/31/08 17:43:02 changed by jesus

(In [253]) make the loading mechanism generic so that we can load something other than checkers. refs #28

06/01/08 02:29:00 changed by jesus

(In [254]) Move the shipped makefile out of the way, refs #28

06/02/08 22:16:16 changed by jesus

(In [258]) Baby steps.

lua checks can now be written. Simple wrappers for check manipulation are in place. I need to figure out how to make lua resume into a coroutine and invoke lua_error on resumption (so we can force a timeout).

noit.sleep(number) was implemanted as a proof-of-concept coro... It works!

Need to do sockets next -- will be slightly more complicated, but I do not see it being traumatic.

refs #28

06/02/08 22:16:37 changed by jesus

(In [259]) forgot this file, refs #28

06/03/08 14:19:31 changed by jesus

(In [260]) use references and garbage collection to implement thread abortion. refs #28

06/03/08 14:20:08 changed by jesus

  • status changed from new to assigned.
  • summary changed from Add support for writing modules in something other than C to Add support for writing checks in Lua.

06/04/08 16:23:45 changed by jesus

(In [262]) read.... (with a pipelining bug), refs #28

06/04/08 21:51:49 changed by jesus

(In [263]) fix pipelining, refs #28

06/05/08 03:10:40 changed by jesus

(In [265]) implement write and fix up read... luaL_Buffer is crap -- avoid it. show our accomplishment with a short, simple Varnish stat query check, refs #28

06/05/08 14:46:45 changed by jesus

(In [266]) make loaders have configs, add a directory config to lua for pulling scripts, refs #28

06/06/08 03:33:12 changed by jesus

conform more to lua module standards [267]

06/06/08 03:41:55 changed by jesus

(In [268]) don't reference something that is free, refs #28

06/06/08 13:51:41 changed by jesus

(In [269]) Forget a rather important element, refs #28

06/06/08 15:54:06 changed by jesus

(In [272]) remove from the eventer, use strnstrn and always correlate a mask with the event (so we know it is fd-based), refs #28, refs #29

06/06/08 16:03:15 changed by jesus

(In [273]) unreference the coros before we cleanup -- they were being freed, refs #28

06/06/08 18:27:25 changed by jesus

  • status changed from assigned to closed.
  • resolution set to fixed.

(In [276]) config for this... closes #28

06/06/08 21:13:46 changed by jesus

(In [279]) guessing is better than being flat-out wrong, refs #28

06/25/08 13:39:43 changed by jesus

  • milestone changed from Ruse to Ploy.